Search model customer pricings
curl --request GET \
--url https://api.runflow.io/v1/models/{model_id}/pricing \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pricing_model_code": "<string>",
"rule_effect_code": "<string>",
"model_input_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"match_value": null,
"dimension_code": "<string>",
"min_value": "<string>",
"max_value": "<string>",
"price": "<string>",
"currency_code": "<string>",
"unit_code": "<string>",
"multiplier_label": "<string>",
"description": "<string>",
"sort_order": 123,
"disabled_at": "2023-11-07T05:31:56Z",
"measurement_source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"first": "<string>",
"next": "<string>",
"previous": "<string>"
}Models
Search model customer pricings
List model customer pricings with filtering, sorting, and pagination. Use ‘any’ as model_id to search across all parents in the organization.
GET
/
v1
/
models
/
{model_id}
/
pricing
Search model customer pricings
curl --request GET \
--url https://api.runflow.io/v1/models/{model_id}/pricing \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pricing_model_code": "<string>",
"rule_effect_code": "<string>",
"model_input_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"match_value": null,
"dimension_code": "<string>",
"min_value": "<string>",
"max_value": "<string>",
"price": "<string>",
"currency_code": "<string>",
"unit_code": "<string>",
"multiplier_label": "<string>",
"description": "<string>",
"sort_order": 123,
"disabled_at": "2023-11-07T05:31:56Z",
"measurement_source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"first": "<string>",
"next": "<string>",
"previous": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Model ID. Use 'any' to search across all parents.
Query Parameters
ANTLR filter expression
Page size
Required range:
1 <= x <= 500Sort expression (e.g. created_at:desc)
Field projection (e.g. id,name)
Pagination cursor query
Backward pagination flag
⌘I